Crashpad

Public Member Functions | List of all members
crashpad::test::ScopedTempDir Class Reference

A RAII object that creates a temporary directory for testing. More...

`#include "test/scoped_temp_dir.h"`

## Public Member Functions
const base::FilePath & | path () const
| Returns the path of the temporary directory. More...
void | Rename ()
| Moves the temporary directory to a new temporary location.

## Detailed Description

A RAII object that creates a temporary directory for testing.

Upon construction, a temporary directory will be created. Failure to create the directory is fatal. On destruction, the directory and all its contents will be removed.

## Member Function Documentation

## ◆ path()

const base::FilePath& crashpad::test::ScopedTempDir::path | ( |  | ) | const
| inline

Returns the path of the temporary directory.

Returns
  The temporary directory path.

The documentation for this class was generated from the following files:

- test/scoped_temp_dir.h
- test/scoped_temp_dir.cc
- test/scoped_temp_dir_posix.cc
- test/scoped_temp_dir_win.cc